%define upstream_name    MaxMind-DB-Common
%define upstream_version 0.040001

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    A class for metadata related to a MaxMind DB database
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/MaxMind/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Data::Dumper::Concise)
BuildRequires: perl(DateTime)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(List::AllUtils)
BuildRequires: perl(Math::BigInt)
BuildRequires: perl(Moo)
BuildRequires: perl(Moo::Role)
BuildRequires: perl(MooX::StrictConstructor)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Sub::Quote)
BuildRequires: perl(Test::More)
BuildRequires: perl(autodie)
BuildRequires: perl(constant)
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(overload)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch: noarch

%description
This distribution provides some shared code for use by both the MaxMind DB
reader and writer Perl modules.

For now, the only piece documented for public consumption is the
MaxMind::DB::Metadata manpage.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc LICENSE INSTALL META.json Changes META.yml
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Mon Jun 30 2025 umeabot <umeabot> 0.40.1-2.mga10
+ Revision: 2229899
- Mageia 10 Mass Rebuild

* Sun Nov 10 2024 wally <wally> 0.40.1-1.mga10
+ Revision: 2113611
- imported package perl-MaxMind-DB-Common


* Sun Nov 10 2024 cpan2dist 0.040001-1mga
- initial mageia release, generated with cpan2dist
